<?php
$time_param1 = array(1,2,3,"four",5,6);
try{
 $timestamp1 = get_timestamp($time_param1);
 print "PHP time stamp - " . $timestamp1 . "<br/>";
}
catch(Exception $e) {
 echo $e->getMessage();
}
catch(InvalidArgumentException $e) {
 echo $e->getMessage();
}

function get_timestamp($time_param) {
 $time_param_length = count($time_param);
 if($time_param_length!=0) {
  for($i=0;$i<$time_param_length;$i++) {
   if(!is_numeric($time_param[$i])) {
    throw new InvalidArgumentException("parameter $i should be numeric, " . gettype($time_param[$i]). " is given");
   }
  }
 } else {
  throw new Exception("no argument is passed for calculating timestmap");
 }
 $timestamp = mktime($time_param[0], $time_param[1], $time_param[2], $time_param[3], $time_param[4], $time_param[5]);
 return $timestamp; 
}
?>